DELETE 
FROM vclib.t_file_content AS fc
where not exists 
(
    select *
    from vclib.t_file f
    where f.fileid = fc.filecontentid
);

ALTER TABLE vclib.t_file_content ADD CONSTRAINT FK_T_FILE_T_FILE_CONTENT_FileContentID
FOREIGN KEY(FileContentID) REFERENCES vclib.t_file (FileID);
